xine-lib: alsa_driver_s Struct Reference

xine-lib 1.2.12

Data Structures | Data Fields
alsa_driver_s Struct Reference

## Data Structures
struct | _alsa_dev_info_s

## Data Fields
ao_driver_t | ao_driver
alsa_class_t * | class
snd_pcm_t * | audio_fd
int | open_mode
int | has_pause_resume
int | is_paused
int32_t | output_sample_rate
int32_t | input_sample_rate
double | sample_rate_factor
uint32_t | num_channels
uint32_t | bits_per_sample
uint32_t | bytes_per_frame
uint32_t | bytes_in_buffer
snd_pcm_uframes_t | buffer_size
int32_t | mmap
uint32_t | supported_channels
uint32_t | capabilities
struct alsa_driver_s::_alsa_dev_info_s | devs [5]
const char * | bits_names [4]
struct {
pthread_t thread
int thread_created
pthread_mutex_t mutex
char * name
snd_mixer_t * handle
snd_mixer_elem_t * elem
long min
long max
long left_vol
long right_vol
int mute
int running
} | mixer
snd_pcm_hw_params_t * | hw_params
snd_pcm_sw_params_t * | sw_params
snd_pcm_access_mask_t * | ac_mask
snd_ctl_card_info_t * | card_info
snd_pcm_status_t * | pcm_status

## Field Documentation

## ◆ ac_mask

snd_pcm_access_mask_t* alsa_driver_s::ac_mask

## ◆ ao_driver

ao_driver_t alsa_driver_s::ao_driver

## ◆ audio_fd

snd_pcm_t* alsa_driver_s::audio_fd

## ◆ bits_names

const char* alsa_driver_s::bits_names[4]

## ◆ bits_per_sample

uint32_t alsa_driver_s::bits_per_sample

## ◆ buffer_size

snd_pcm_uframes_t alsa_driver_s::buffer_size

## ◆ bytes_in_buffer

uint32_t alsa_driver_s::bytes_in_buffer

## ◆ bytes_per_frame

uint32_t alsa_driver_s::bytes_per_frame

## ◆ capabilities

uint32_t alsa_driver_s::capabilities

## ◆ card_info

snd_ctl_card_info_t* alsa_driver_s::card_info

## ◆ class

alsa_class_t* alsa_driver_s::class

## ◆ devs

struct alsa_driver_s::_alsa_dev_info_s alsa_driver_s::devs[5]

## ◆ elem

snd_mixer_elem_t* alsa_driver_s::elem

## ◆ handle

snd_mixer_t* alsa_driver_s::handle

## ◆ has_pause_resume

int alsa_driver_s::has_pause_resume

## ◆ hw_params

snd_pcm_hw_params_t* alsa_driver_s::hw_params

## ◆ input_sample_rate

int32_t alsa_driver_s::input_sample_rate

## ◆ is_paused

int alsa_driver_s::is_paused

## ◆ left_vol

long alsa_driver_s::left_vol

## ◆ max

long alsa_driver_s::max

## ◆ min

long alsa_driver_s::min

## ◆

struct { ... } alsa_driver_s::mixer

## ◆ mmap

int32_t alsa_driver_s::mmap

## ◆ mute

int alsa_driver_s::mute

## ◆ mutex

pthread_mutex_t alsa_driver_s::mutex

## ◆ name

char* alsa_driver_s::name

## ◆ num_channels

uint32_t alsa_driver_s::num_channels

## ◆ open_mode

int alsa_driver_s::open_mode

## ◆ output_sample_rate

int32_t alsa_driver_s::output_sample_rate

## ◆ pcm_status

snd_pcm_status_t* alsa_driver_s::pcm_status

## ◆ right_vol

long alsa_driver_s::right_vol

## ◆ running

int alsa_driver_s::running

## ◆ sample_rate_factor

double alsa_driver_s::sample_rate_factor

## ◆ supported_channels

uint32_t alsa_driver_s::supported_channels

## ◆ sw_params

snd_pcm_sw_params_t* alsa_driver_s::sw_params

## ◆ thread

pthread_t alsa_driver_s::thread

## ◆ thread_created

int alsa_driver_s::thread_created

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/audio_out/audio_alsa_out.c